<template>
  <UserCenter :title="$t('account')">
    <div class="relative mx-auto account-container">
      <el-tabs
        v-model="accountActiveTab"
        class="demo-tabs --text4 account__nav-container"
      >
        <el-tab-pane :disabled="shouldChangePassword" name="account">
          <template #label>
            <nuxt-link :to="ROUTES.ACCOUNT.INFO" class="py-4 tab-size">{{
              $t("account_information")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane name="account-password">
          <template #label>
            <nuxt-link :to="ROUTES.ACCOUNT.PASSWORD" class="py-4 tab-size">{{
              $t("password")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
      </el-tabs>
      <el-scrollbar class="h-[664px]">
        <nuxt-page />
      </el-scrollbar>
    </div>
  </UserCenter>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import UserCenter from "@/components/theme/desktop/peru/components/user-center-layout.client.vue";

export default defineComponent({
  components: {
    UserCenter,
  },
  setup() {
    const route = useRoute();
    const accountActiveTab = computed(() => String(route.name));
    const shouldChangePassword = computed(
      () => store.state.auth && store.state.isPasswordExpired
    );
    return {
      accountActiveTab,
      shouldChangePassword,
    };
  },
});
</script>
<style lang="scss">
.el-tabs__item.is-disabled:hover,
.el-tabs__item.is-disabled:focus,
.el-tabs__item.is-disabled:active {
  color: var(--el-disabled-text-color);
  cursor: not-allowed;
}
.account-information ul li {
  font-size: 14px;
}
.password-item-container {
  @media screen and (max-width: 1279px) {
    > div.flex {
      flex-direction: column;
      > div {
        width: 100%;

        > ul {
          padding: 0;
          padding-top: 24px;
        }
      }
    }
  }
}
@media (max-width: 639px) {
  .account__nav-container .el-tabs__nav {
    width: 100%;
  }
  .account__nav-container .el-tabs__item {
    width: 50%;
    padding: 0;
  }
  .account__nav-container .el-tabs__item > a {
    justify-content: center;
  }
  .account__nav-container .el-tabs__nav-wrap {
    padding: 0;
  }
}
.tab-size {
  @media (max-width: 639px) {
    font-size: 12px;
  }
}
</style>
<style lang="scss" scoped>
.account-container[theme="desktop/sbo"] {
  background: var(--background1, white);
}

</style>
